@import "@styles/base/colors";
@import '~react-big-calendar/lib/css/react-big-calendar.css';
@import "@styles/base/typography.scss";

.calendar {
    height: 95% !important;
    color: $greyColor;
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 15px;

    & .headerContainer {
        display: flex;
        justify-content: space-between; 
        align-items: center;
        margin-bottom: 15px;
    }

    & .buttonGroup {
        display: flex;
        align-items: center;
    }

    & .arrowButton {
        border-radius: 5px;
        border: 1px solid $greyColor;
        width: 39px;
        height: 39px;
        background: $whiteColor;
        text-align: center;
        padding-top: 6px;
        cursor: pointer;
        margin-right: 5px;

        &:hover {
          background-color: $greyColor;
          transition: all 0.3s;
        }
        &:active {
            border: 1px solid $greyText;
        }
    }

    & .calendarPicker {
        width: 178px;
        height: 39px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-radius: 5px;
        white-space: nowrap;
        background: $whiteColor;
        border: 1px solid $greyColor;
        color: $greyText;
        font-size: 14px;
        padding: 0 12px 0 15px;
        margin-right: 5px;
    }

    & .sortBy {
        min-width: 65px;
        color: $greyText;
        margin-right: 5%;
        padding-top: 8px;
    }

    & .dropdown {
        border: 1px solid #B3C1E3;
        cursor: pointer;
        margin-right: 5%;
        padding: 0px 10px 0;
        height: 39px;
        width: 165px;
        display: flex;
        justify-content: space-between;
        border-radius: 5px;
        
        svg {
          transform: rotate(-90deg);
        }

        & .dropdownMenu {
            ul {
                background-color: white;
                position: absolute;
                width: 100%;
                top: 38px;
                left: 0;
                padding-left: 15px;
                z-index: 7;
                border: 1px solid $greyColor;
                border-top: 0;
                border-radius:  0 0 5px 5px;
                padding-left: 0;

                & .dropdownItem {
                    width: 100%;
                    color: $greyColor;
                    font-size: 14px;
                }

                & .checkbox {
                    display: inline-block;
                    position: relative;
                    top: 5px;
                    border: 1px solid $greyColor;
                    width: 20px;
                    height: 20px;
                    border-radius: 5px;
                    padding-top: 3px;
                    margin-right: 15px;
                    margin-left: 5px;
                    text-align: center;
                }
            }
        }
    }
}

.shift {
    position: relative;
    width: 85%;
    height: 49px;
    margin-left: 15px;
    margin-top: 10px;
    padding-left: 20px;
    padding-top: 12px;
    background-color: $lightBlueSecColor;
    color: $greyText;
    font-size: 14px;
    border: 1px solid $lightBlueColor;
    border-radius: 0px 10px 10px 0px;

    & .shiftColor {
        display: inline-block;
        position: absolute;
        left: 4px;
        top: 4px;
        width: 3px;
        height: 40px;
    }

    & .tradeMarker {
        position: absolute;
        top: -35px;
        left: 50px;
        cursor: pointer;
    }
}

.dateHeader {
    display: flex;
    justify-content: space-between;
    padding-right: 15px;
    padding-left: 15px;

    & .offRange {
        color: red;
    }

    & .tradeShiftButton {
        position: relative;
        pointer-events: all;
        cursor: pointer;
        width: 23px;
        height: 23px;
        line-height: 23px;
        text-align: center;
        border: 1px solid $greyColor;
        border-radius: 5px;
        color: $greyColor;

        div {
            position: absolute;
            bottom: 15%;
            left: 50%;
            transform: translateX(-50%);
        }
    }
}

.popoverTitle {
    color: $greyText;   
    font-size: 14px;
    width: 128px;
    font-weight: 500;
    transition: background-color 0.3s;
    padding: 5px;
    padding-left: 15px;
    text-align: left;
    &:hover {
        background: linear-gradient(277.8deg, #CDD9F8 11.6%, rgba(205, 217, 248, 0) 88.64%);
    }
}

.customToggle {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
